import request from '@/utils/request'

/* 分页查询角色 */
export function getRoles(params) {
    return request.get('/v2/api/sys_role', { params })
}

/* 查询单个角色 */
export function getRoleDetail(id) {
    return request.get(`/v2/api/sys_role/${id}`)
}
export function getRoleMenu(id) {
    return request.get(`/v2/api/sys_menu?role_id=${id}`)
}

/* 更新单个角色 */
export function updateRole(id, params) {
    return request.put(`/v2/api/sys_role/${id}`, params)
}

/* 删除单个角色 */
export function removeRole(id) {
    return request.delete(`/v2/api/sys_role/${id}`)
}

/* 新增单个角色 */
export function addRole(params) {
    return request.post(`/v2/api/sys_role/`, params)
}